Subject: Re: [BEHAVE] draft-korhonen-edns0-synthesis-flag splitted and updated

From: <[email-masked]>
Date: Sat, 2 Oct 2010 10:38:06 +0200

Hi Cameron,

Thank you for the feedback. Yes, iteration is needed and it should work fine with standard address formats especially when combined with a connectivity test (heuristics would become more complex if someone would use some non-standard schemes where IPv4 address is encoded somehow differently (e.g. xorred, splitted in many parts around IPv6 address - but one *could* try to dechipher those as well:-)).

However, I'm hesitant to add any recommendation of prefix length/format here as if recommendation is needed it should probably be in the address format I-D? I agree that preferring /96 would simplify things, but I don't know the reasons for those various formats..

Best regards,

Teemu

----- Original message -----
> On Fri, Sep 24, 2010 at 8:26 AM,  <[email-masked]<mailto:[email-masked]>> wrote:
> > Hi Behave,
> >
> > We updated and split draft-korhonen-edns0-synthesis-flag into two.
> >
> > Now there is:
> >
> > draft-korhonen-edns0-synthesis-flag-01.txt that describes a EDNS0
> *option* for communicating the address format used by DNS64 in the
> synthesis. This replaces the previous proposal of using EDNS0 flag bits.
> This requires support from DNS64.
> >
> > draft-savolainen-heuristic-nat64-discovery (sorry I forgot "behave" on
> the name) that describes solution where host queries AAAA record of
> known IPv4-only name and then heuristically tries to resolve the address
> format used by the DNS64. This does not require any support from DNS64.
> >
>
> I think  draft-savolainen-heuristic-nat64-discovery is a very good
> effort and should solve many  of the IPv4 referral issues.
>
> Do you think it makes sense to add guidance that a /96 is the
> preferred Pref64 and that aids in extracting the IPv4 address?  /96 is
> also the size of the WKP.  I imagine that the extraction process has
> to iterates to find the IPv4 address, so providing some guidance about
> the use of /96 can assist in a quicker match?
>